Bug 1065 - Memory leak when using adaptive sampling with multiple captures (frames)
Summary: Memory leak when using adaptive sampling with multiple captures (frames)
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: General/Performance (show other bugs)
Version: 4.5.1-release
Hardware: Intel x86-64 Linux 32-bit
: P5 normal
Assignee: Adam Goodenough
URL:
Depends on:
Blocks:
 
Reported: 2013-09-16 23:06 EDT by Brent Bartlett
Modified: 2013-09-18 09:34 EDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Bartlett 2013-09-16 23:06:46 EDT
When running the video example in the latest version of Megascene1, release 1.4 the allocated memory creeps up over time. For even a modest focal plane and frame rate, this eats up a lot of RAM pretty soon into the overall run...
Comment 1 Scott D. Brown 2013-09-17 00:55:34 EDT
Are you saying that this wasn't happening with the same sim running under 4.5.0? And you are sure you have the final 4.5.1 release?

We have not been observing this. The memory usage will grow while new geometry is encountered, but it stabilizes after the first frame. Can you explain some more about what you are seeing, some more details of your sim, etc.
Comment 2 Scott D. Brown 2013-09-17 09:17:43 EDT
The leak appears to be related to adaptive pixel sampling, so I am assigning this one to Adam.
Comment 3 Adam Goodenough 2013-09-17 09:41:34 EDT
The adaptive sampler uses a sample generator to get good uniformity for its samples across the focal plane. Unfortunately a new sampler (and the pre-generated random values it creates) was being generated anew for each capture and just accumulating in memory.

I've fixed this by moving the scope of the sampler to the object so that each capture will share the same sampler.